# PyTorch Tutorials

> OS：Windows 10 Home  
> Editor：VS Code  
> Python：3.7.9 (Anaconda 5.3.0)  
> PyTorch：1.5.0  

How to play with PyTorch ?

---

## CONTENTS

<details open>
<summary>PyTorch</summary>

* Deep Learning with PyTorch: A 60 Minute Blitz [[source](https://pytorch.org/tutorials/beginner/deep_learning_60min_blitz.html)] [[code](https://github.com/atomicoo/pytorch-tutorials/tree/master/OFFICIAL/A_60_MINUTE_BLITZ)]
* Learning PyTorch with Examples [[source](https://pytorch.org/tutorials/beginner/pytorch_with_examples.html)] [[code](https://github.com/atomicoo/pytorch-tutorials/blob/master/OFFICIAL/LEARN_WITH_EXAMPLES.py)]
* What is torch.nn really ? [[source](https://pytorch.org/tutorials/beginner/nn_tutorial.html)] [[code](https://github.com/atomicoo/pytorch-tutorials/blob/master/OFFICIAL/WHAT_IS_TORCH_NN.py)]
* Visualizing Models, Data, and Training with TensorBoard [[source](https://pytorch.org/tutorials/intermediate/tensorboard_tutorial.html)] [[code](https://github.com/atomicoo/pytorch-tutorials/blob/master/OFFICIAL/VISUALIZING_WITH_TENSORBOARD.py)]

</details>

<details open>
<summary>Transformers</summary>

* Transformers: Quick Tour (PyTorch) [[source](https://github.com/huggingface/transformers#quick-tour)] [[code](https://github.com/atomicoo/pytorch-tutorials/tree/master/TRANSFORMER/QUICK_TOUR_PYTORCH.py)]
* Transformers: Get Started [[source](https://huggingface.co/transformers/quicktour.html)] [[code](https://github.com/atomicoo/pytorch-tutorials/tree/master/TRANSFORMER/GET_STARTED.py)]
* Transformers: Trainer and Find-tuning [[source](https://huggingface.co/transformers/training.html)] [[code](https://github.com/atomicoo/pytorch-tutorials/tree/master/TRANSFORMER/TRAINER_AND_FINDTUNING.py)]

</details>

